Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkReverseSense Class Reference

`#include <vtkReverseSense.h>`

Inheritance diagram for vtkReverseSense:

[legend]
Collaboration diagram for vtkReverseSense:

[legend]
List of all members.

## Detailed Description

reverse the ordering of polygonal cells and/or vertex normals

Date:
  2002/01/22 15:29:43

Revision:
  1.23

vtkReverseSense is a filter that reverses the order of polygonal cells and/or reverses the direction of point and cell normals. Two flags are used to control these operations. Cell reversal means reversing the order of indices in the cell connectivity list. Normal reversal means multiplying the normal vector by -1 (both point and cell normals, if present).

Warning:
  Normals can be operated on only if they are present in the data.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (70%)
  - Geveci, Berk (5%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkReverseSense.h)`
  - .`cxx` (`/Graphics/vtkReverseSense.cxx)`

Examples:
  vtkReverseSense (Examples)

Tests:
  vtkReverseSense (Tests)

Definition at line 57 of file vtkReverseSense.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetReverseCells (int)
virtual int | GetReverseCells ()
virtual void | ReverseCellsOn ()
virtual void | ReverseCellsOff ()
virtual void | SetReverseNormals (int)
virtual int | GetReverseNormals ()
virtual void | ReverseNormalsOn ()
virtual void | ReverseNormalsOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkReverseSense * | SafeDownCast (vtkObject *o)
vtkReverseSense * | New ()
## Protected Methods
| vtkReverseSense ()
| ~vtkReverseSense ()
void | Execute ()
## Protected Attributes
int | ReverseCells
int | ReverseNormals

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkReverseSense::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 60 of file vtkReverseSense.h.

## Constructor & Destructor Documentation

vtkReverseSense::vtkReverseSense | ( |  | ) | `[protected]`

vtkReverseSense::~vtkReverseSense | ( |  | ) | `[inline, protected]`

| Definition at line 84 of file vtkReverseSense.h.

## Member Function Documentation

virtual const char* vtkReverseSense::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkReverseSense::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkReverseSense::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkReverseSense* vtkReverseSense::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkReverseSense::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkReverseSense* vtkReverseSense::New | ( |  | ) | `[static]`

| Construct object so that behavior is to reverse cell ordering and leave normal orientation as is. Reimplemented from vtkObject.

virtual void vtkReverseSense::SetReverseCells | ( | int |  | ) | `[virtual]`

| Flag controls whether to reverse cell ordering.

virtual int vtkReverseSense::GetReverseCells | ( |  | ) | `[virtual]`

| Flag controls whether to reverse cell ordering.

virtual void vtkReverseSense::ReverseCellsOn | ( |  | ) | `[virtual]`

| Flag controls whether to reverse cell ordering.

virtual void vtkReverseSense::ReverseCellsOff | ( |  | ) | `[virtual]`

| Flag controls whether to reverse cell ordering.

virtual void vtkReverseSense::SetReverseNormals | ( | int |  | ) | `[virtual]`

| Flag controls whether to reverse normal orientation.

virtual int vtkReverseSense::GetReverseNormals | ( |  | ) | `[virtual]`

| Flag controls whether to reverse normal orientation.

virtual void vtkReverseSense::ReverseNormalsOn | ( |  | ) | `[virtual]`

| Flag controls whether to reverse normal orientation.

virtual void vtkReverseSense::ReverseNormalsOff | ( |  | ) | `[virtual]`

| Flag controls whether to reverse normal orientation.

void vtkReverseSense::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkReverseSense::ReverseCells`[protected]`

| Definition at line 89 of file vtkReverseSense.h.

int vtkReverseSense::ReverseNormals`[protected]`

| Definition at line 90 of file vtkReverseSense.h.

The documentation for this class was generated from the following file:

- Graphics/vtkReverseSense.h